# Copyright 2016 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# == Class: tripleo::profile::base::glance::registry
#
# Glance Registry profile for tripleo
#
# === Parameters
#
# [*bootstrap_node*]
#   DEPRECATED
#   (Optional) The hostname of the node responsible for bootstrapping tasks
#   Defaults to hiera('bootstrap_nodeid')
#
# [*glance_backend*]
#   (Optional) Glance backend(s) to use.
#   Defaults to downcase(hiera('glance_backend', 'swift'))
#
# [*step*]
#   (Optional) The current step in deployment. See tripleo-heat-templates
#   for more details.
#   Defaults to hiera('step')
#
class tripleo::profile::base::glance::registry (
  $bootstrap_node = undef,
  $glance_backend = downcase(hiera('glance_backend', 'swift')),
  $step           = hiera('step'),
) {

  if $step >= 4 {
    # TODO: notifications, scrubber, etc.
    include ::glance
    include ::glance::config
    include ::glance::registry
    include ::glance::notify::rabbitmq
    include join(['::glance::backend::', $glance_backend])
  }

}
